Danh sách — phòng thủ xác thực người dùng

Lấy danh sách / dữ liệu phòng thủ xác thực người dùng trong nhóm Xác thực & Người dùng hệ thống của HiTechCloud WAF.

Xem Markdown

Lấy danh sách / dữ liệu phòng thủ xác thực người dùng trong nhóm Xác thực & Người dùng hệ thống của HiTechCloud WAF. (Chức năng: list auth defense user).

Endpoint

MethodEndpointMô tả
GET/api/open/auth_defense/userLấy danh sách / dữ liệu phòng thủ xác thực người dùng

Tham số

Tham sốVị tríKiểuBắt buộcMô tả
pageQueryintegerKhôngTham số lọc/truy vấn.
page_sizeQueryintegerKhôngTham số lọc/truy vấn.
usernameQuerystringKhôngTham số lọc/truy vấn.

Kiểm thử tại chỗ

GEThttps://vcwaf.hitechcloud.vn/api/open/auth_defense/user

Nhập token và tham số rồi bấm Gửi thử. Token không được lưu lại.

Query
cURL mẫu
curl -X GET "https://vcwaf.hitechcloud.vn/api/open/auth_defense/user?page=&page_size=&username=" \
  -H "Authorization: Bearer YOUR_TOKEN"
Phản hồi mẫu
{
  "data": {
    "data": [
      {
        "binds": [],
        "id": 1024,
        "last_login": 1,
        "over_license_limit": true,
        "runtime_enabled": true,
        "tfa_binded": true,
        "tfa_enabled": true,
        "username": "example",
        "websites": 1
      }
    ],
    "limit": 20,
    "total": 20
  },
  "err": "",
  "msg": "ok"
}